Bug 149843 - Unable to generate key
Unable to generate key
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 02:38 EST by Mauri Sahlberg
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 16:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauri Sahlberg 2005-02-28 02:38:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
Tried on two different FC3 hosts to generate new key-pair. Both
crashed with same error. 
LANG=fi_FI.UTF-8
LC_CTYPE="fi_FI.UTF-8"
LC_NUMERIC="fi_FI.UTF-8"
LC_TIME="fi_FI.UTF-8"
LC_COLLATE="fi_FI.UTF-8"
LC_MONETARY="fi_FI.UTF-8"
LC_MESSAGES="fi_FI.UTF-8"
LC_PAPER="fi_FI.UTF-8"
LC_NAME="fi_FI.UTF-8"
LC_ADDRESS="fi_FI.UTF-8"
LC_TELEPHONE="fi_FI.UTF-8"
LC_MEASUREMENT="fi_FI.UTF-8"
LC_IDENTIFICATION="fi_FI.UTF-8"
LC_ALL=


Version-Release number of selected component (if applicable):
gnupg-1.2.4-2.1

How reproducible:
Always

Steps to Reproduce:
1. Set your locale as above
2. gpg --key-gen
 3. Choose 1
 4. Accept 1024
 5. (0) Avain ei vanhene koskaan
 6. k
 7. Feeder Test
 8. feeder@humbata.intra.pretax.net
 9. Testipuolen avaimet
And it will crash. If you set up your locale as en_US you will have no
trouble creating this keypair.
 
    

Actual Results:  gpg --gen-key
gpg (GnuPG) 1.2.4; Copyright (C) 2003 Free Software Foundation, Inc.
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it
under certain conditions. See the file COPYING for details.

gpg: avainrengas "/home/feeder/.gnupg/secring.gpg" luotu
gpg: avainrengas "/home/feeder/.gnupg/pubring.gpg" luotu
Valitse millaisen avaimen haluat:
   (1) DSA ja ElGamal (oletus)
   (2) DSA (vain allekirjoitus)
   (4) RSA (vain allekirjoitus)
Valintasi? 1
DSA-avainparissa on 1024 bitti�.
Luomassa uutta ELG-E-avainparia.
      pienin sallittu avainkoko on  768 bitti�
                oletusavainkoko on 1024 bitti�
  suurin suositeltava avainkoko on 2048 bitti�
Mink� kokoisen avaimen haluat? (1024)
Halutun avaimen koko on 1024 bitti�
Kuinka kauan avaimen tulee olla voimassa.
        0 = Avain ei vanhene koskaan
     <n>  = Avain vanhenee n p�iv�n kuluttua
     <n>w = Avain vanhenee n viikon kuluttua
     <n>m = Avain vanhenee n kuukauden kuluttua
     <n>y = Avain vanhenee n vuoden kuluttua
Avain on voimassa? (0)
Key ei vanhene koskaan
Onko t�m� oikein (k/e) k

Tarviset k�ytt�j�tunnuksen avaimesi tunnistamiseen; ohjelma muodostaa
k�ytt�j�tunnuksen oikeasta nimest�, huomautuksesta ja
s�hk�postiosoitteesta
muodossa:
     "Matti Meik�l�inen (nuorempi) <matti.meikalainen@osoite.fi>"

Oikea nimi: Feeder Test
S�hk�postiosoite: feeder@humbata.intra.pretax.net
Huomautus: Testipuolen avaimet
Valitsit seuraavan k�ytt�j�tunnuksen:
    "Feeder Test (Testipuolen avaimet) <feeder@humbata.intra.pretax.net>"


gpg: Ohhhh jeeee: ...t�m� on ohjelmistovika (keygen.c:1325:ask_user_id)
secmem usage: 1408/1408 bytes in 2/2 blocks of pool 1408/32768
Keskeytetty


Additional info:

Also when enabling trust in Finnish localization the correct answer
for Finnish question is given in English:
"Haluatko varmasti luottaa t�h�n avaimeen ehdottomasti?" yes
Comment 1 Nalin Dahyabhai 2005-07-29 16:54:45 EDT
The bug's due to the translation of the set of valid answers not being the same
as the untranslated set, and the code not being able to handle that.  The "fi"
translation was the only one to have this bug, and it was fixed as of 1.2.6, the
version bundled with Fedora Core 3.

Note You need to log in before you can comment on or make changes to this bug.